goalGatherCardPieces.mSteps = 
{
	{ action = "click", object = objectHoCardPiece02 },
	{ action = "click", object = objectHoCardPiece03 },
	{ action = "click", object = objectHoCardPiece04 },
	{ action = "click", object = objectHoCardPiece05 },
	{ action = "click", object = objectHoCardPiece06 },
	{ action = "click", object = objectHoCardPiece07 },
	{ action = "click", object = objectHoCardPiece08 },
	{ action = "click", object = objectHoCardPiece09 },
}
-- ----------------------------------------------------------------------------
goalGatherCardPieces.readyToStart = false
-- ----------------------------------------------------------------------------
function goalGatherCardPieces:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalGatherCardPieces:onStarted()

	objectHoCardPiece02:ss(kActive)
	objectHoCardPiece03:ss(kActive)
	objectHoCardPiece04:ss(kActive)
	objectHoCardPiece05:ss(kActive)
	objectHoCardPiece06:ss(kActive)
	objectHoCardPiece07:ss(kActive)
	objectHoCardPiece08:ss(kActive)
	objectHoCardPiece09:ss(kActive)
	
end
-- ----------------------------------------------------------------------------
function goalGatherCardPieces:onFinished()
end
-- ----------------------------------------------------------------------------
function goalGatherCardPieces:onClickHO(layout, object, props, x, y)

	if (self:isStarted()) then
		if (objectHoCardPiecesGroup:isFound()) then
			self:achieved()
		end	
	end

end
-- ----------------------------------------------------------------------------
function goalGatherCardPieces:onLayoutShow(layout)

	if (layout == layoutBoathouseCardJigsaw) then
		self.readyToStart = true
	end

end
